org.codehaus.plexus.configuration.processor

## Interface ConfigurationResourceHandler

All Known Implementing Classes:
  AbstractConfigurationResourceHandler, DirectoryConfigurationResourceHandler, FileConfigurationResourceHandler

    public interface ConfigurationResourceHandler

Version:
  $Id: ConfigurationResourceHandler.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl

### Field Summary

Fields
`static String` `SOURCE` Attribute used to identify the external configuration source.

### Method Summary

Methods
`String` `getId()`
`PlexusConfiguration[]` `handleRequest(Map parameters)`

### Field Detail

#### SOURCE

    static final String SOURCE

Attribute used to identify the external configuration source.

     <configuration>

     </configuration>

See Also:
  Constant Field Values

### Method Detail

#### getId

    String getId()

#### handleRequest

    PlexusConfiguration[] handleRequest(Map parameters)
                                        throws ConfigurationResourceNotFoundException,
                                               ConfigurationProcessingException

Throws:
  `ConfigurationResourceNotFoundException`
  `ConfigurationProcessingException`